<template>
  <div class="containerJCZD">
    <div class="tableTh">
      <span style="width: 14%">所属企业</span>
      <span style="width: 8%">检查人</span>
      <span style="width: 20%">隐患描述</span>
      <span style="width: 10%">隐患类别</span>
      <span style="width: 15%">整改时间</span>
      <span style="width: 10%">操作</span>
    </div>
    <vueSeamlessScroll :data="list" class="warp" :class-option="defaultOption">
      <div
        :class="{ tableTh1: index % 2 == 0, tableTh2: index % 2 == 1 }"
        v-for="(item, index) in list"
        :key="index"
      >
        <span style="color: #12c6aa; width: 14%">{{ item.SSQY }}</span>
        <span style="color: #59adf5; width: 8%">{{ item.JCR }}</span>
        <span style="color: #59adf5; width: 20%">{{ item.YHMS }}</span>
        <span style="color: #fff; width: 10%">{{ item.YHLB }}</span>
        <span style="color: #fff; width: 15%">{{ item.ZGSJ }}</span>
        <span
          style="color: #fff; width: 10%"
          @click="details(item)"
          class="hoverbox"
          >详情</span
        >
      </div>
    </vueSeamlessScroll>
    <el-dialog
      v-dialogDrag
      width="1000px"
      class="HGTitle"
      :visible.sync="dialogVisible1"
    >
      <div class="detailbox">
         <span @click="dialogVisible1 = false" style="
            position: absolute;
            top: 60px;
            right: 60px;
            cursor: pointer;
            font-size: 40px;
            color: #ffffff;
          ">X</span>
        <div class="header_box">详情</div>
        <div class="content">
          <div class="td_box">
            <span class="span2"
              ><span class="span3"> 所属企业：</span>
              <span class="span4">{{ objData.SSQY }}</span></span
            >
          </div>
          <div class="td_box">
            <span class="span2"
              ><span class="span3"> 隐患类别：</span>
              <span class="span4">{{ objData.YHLB }}</span></span
            >
          </div>
          <div class="td_box">
            <span class="span2"
              ><span class="span3"> 检查人：</span>
              <span class="span4">{{ objData.JCR }}</span></span
            >
          </div>
          <div class="td_box">
            <span class="span2"
              ><span class="span3"> 整改时间：</span>
              <span class="span4">{{ objData.ZGSJ }}</span></span
            >
          </div>
          <div class="td_box">
            <span class="span2"
              ><span class="span3"> 整改负责人：</span>
              <span class="span4">{{ objData.ZGFZR }}</span></span
            >
          </div>
          <div class="td_box zhaopian">
            <div class="span2">
              <span class="span3"> 隐患照片：</span>
              <div class="span5">
                <el-carousel
                  arrow="always"
                  class="mypictureItem"
                  height="150px"
                  :autoplay="false"
                >
                  <el-carousel-item
                    v-for="item in pic"
                    :key="item.src"
                    class="NypictureItem"
                  >
                    <!-- <img src="../../../assets/image/Left/柳城园区图.png" class="picture" /> -->
                    <img :src="item.src" class="picture" />
                  </el-carousel-item>
                </el-carousel>
              </div>
            </div>
          </div>
          <div class="td_box zhaopian">
            <div class="span2">
              <span class="span3"> 整改后照片：</span>
              <div class="span5">
                <el-carousel
                  arrow="always"
                  class="mypictureItem"
                  height="150px"
                  :autoplay="false"
                >
                  <el-carousel-item
                    v-for="item in pic"
                    :key="item.src"
                    class="NypictureItem"
                  >
                    <!-- <img src="../../../assets/image/Left/柳城园区图.png" class="picture" /> -->
                    <img :src="item.src" class="picture" />
                  </el-carousel-item>
                </el-carousel>
              </div>
            </div>
          </div>
          <div class="td_box">
            <span class="span2"
              ><span class="span3"> 备注：</span>
              <span class="span4">{{ objData.BZ }}</span></span
            >
          </div>
        </div>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import Table1 from "../../../assets/json/隐患JSON.json";
import vueSeamlessScroll from "vue-seamless-scroll";
export default {
  components: {
    vueSeamlessScroll,
  },
  data() {
    return {
      pic1: [],
      pic: [],
      dialogVisible1: false,
      JCStationLiSt: [],
      list: [
        // {
        //   QYname: "XXXXX公司",
        //   name: "李振军",
        //   description: "还蒸二车间四工段16号炉真空泵排烟软管未接好",
        //   checkTime: "一般隐患",
        //   picture: require("../../../assets/images/企业隐患照片/1.png"),
        //   finishTime: "2022/5/30",
        // },
        // {
        //   QYname: "XXXXX公司",
        //   name: "张帅",
        //   description: "还蒸二车间六工段一楼走廊处电线未穿管",
        //   checkTime: "一般隐患",
        //   picture: require("../../../assets/images/企业隐患照片/2.png"),
        //   finishTime: "2022/5/30",
        // },
        // {
        //   QYname: "XXXXX公司",
        //   name: "张浩",
        //   description: "硫酰氯生产车间SIS阀门及截止阀缺少开、关标识",
        //   checkTime: "一般隐患",
        //   picture: require("../../../assets/images/企业隐患照片/3.png"),
        //   finishTime: "2022/6/20",
        // },
        // {
        //   QYname: "XXXXX公司",
        //   name: "张浩",
        //   description: "二氧化硫灌装车间室内消火栓未明确负责人",
        //   checkTime: "一般隐患",
        //   picture: require("../../../assets/images/企业隐患照片/4.png"),
        //   finishTime: "2022/6/20",
        // },
        // {
        //   QYname: "XXXXX公司",
        //   name: "高佳奇",
        //   description: "振动筛平台无盖板，存在安全隐患",
        //   checkTime: "一般隐患",
        //   picture: require("../../../assets/images/企业隐患照片/5.png"),
        //   finishTime: "2022/6/9",
        // },
        // {
        //   QYname: "XXXXX公司",
        //   name: "高佳奇",
        //   description: "振动筛平台西侧pp水管球阀漏水",
        //   checkTime: "一般隐患",
        //   picture: require("../../../assets/images/企业隐患照片/6.png"),
        //   finishTime: "2022/6/2",
        // },
        // {
        //   QYname: "XXXXX公司",
        //   name: "叶策",
        //   description: "装配车间切割机边角废料堵占安全通道 ",
        //   checkTime: "一般隐患",
        //   picture: require("../../../assets/images/企业隐患照片/7.png"),
        //   finishTime: "2022/7/4",
        // },
      ],
      time3: null,
      objData: {},
    };
  },

  mounted() {
    Table1.features.forEach((e) => {
      e.attributes.ZGSJ = this.formatDate(e.attributes.ZGSJ);
      this.list.push(e.attributes);
    });
  },

  methods: {
    formatDate(date) {
      var date = new Date(date);
      var YY = date.getFullYear() + "-";
      var MM =
        (date.getMonth() + 1 < 10
          ? "0" + (date.getMonth() + 1)
          : date.getMonth() + 1) + "-";
      var DD = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
      var hh =
        (date.getHours() < 10 ? "0" + date.getHours() : date.getHours()) + ":";
      var mm =
        (date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes()) +
        ":";
      var ss =
        date.getSeconds() < 10 ? "0" + date.getSeconds() : date.getSeconds();
      // return YY + MM + DD + " " + hh + mm + ss;
      return YY + MM + DD;
    },

    details(res) {
      this.pic = [];
      this.pic1 = [];
      this.objData = res;

      this.pic.push({
        src: require(`../../../assets/images/ZGT/${res.YHZP}`),
      });
      this.pic1.push({
        src: require(`../../../assets/images/ZGT/${res.ZGHZP}`),
      });
      this.dialogVisible1 = true;
    },
  },

  computed: {
    defaultOption() {
      return {
        step: 1, // 数值越大速度滚动越快
        limitMoveNum: 2, // 开始无缝滚动的数据量 this.dataList.length
        hoverStop: true, // 是否开启鼠标悬停stop
        direction: 1, // 0向下 1向上 2向左 3向右
        openWatch: true, // 开启数据实时监控刷新dom
        singleHeight: 0, // 单步运动停止的高度(默认值0是无缝不停止的滚动) direction => 0/1
        singleWidth: 0, // 单步运动停止的宽度(默认值0是无缝不停止的滚动) direction => 2/3
        waitTime: 1000, // 单步运动停止的时间(默认值1000ms)
      };
    },
  },

  destroyed() {
    if (this.time3 != null) {
      clearInterval(this.time3);
    }
  },
};
</script>

<style  lang="less"   scoped="scoped">
.containerJCZD {
  height: 100%;
  width: 100%;
  box-sizing: border-box;
  padding-right: 20px;
  .tableTh {
    height: 100px;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    font-size: 18px;
    color: #ffffff;
    overflow-x: hidden;
    overflow-y: scroll;
    background: linear-gradient(270deg, #010714 0%, #010714 100%);
    box-shadow: 0px 0px 18.48px 5.52px rgba(77, 177, 255, 0.52) inset;
    span {
      width: 10%;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    .loc {
      width: 10%;
    }
  }
  .hoverbox:hover {
    cursor: pointer;
    color: #4eb2ff !important;
  }
  .tableTh1 {
    height: 100px;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    font-size: 18px;
    color: #4eb2ff;
    span {
      width: 10%;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    .span0 {
      color: #ffffff;
    }
    .loc {
      width: 10%;
      color: #ffffff;
    }
  }

  .tableTh2 {
    height: 100px;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    font-size: 18px;
    color: #4eb2ff;
    background: rgba(78, 178, 255, 0.1);
    span {
      width: 10%;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    .span0 {
      color: #ffffff;
    }
    .loc {
      width: 10%;
      color: #ffffff;
    }
  }
  .warp {
    height: calc(100% - 100px);
    width: 100%;
    overflow: hidden;
  }
  .HGTitle /deep/ .el-dialog {
    .el-dialog__header {
      display: none;
    }

    .dj-dialog-content {
      padding: 0;
      overflow: unset;
    }
  }
  .datlog {
    overflow: auto;
  }

  .HGTitle /deep/ .el-dialog {
    // background-image: url(../../../assets/images/TKbg.png);
    // background-size: 100% 100%;
    // background-repeat: no-repeat;
    background-color: transparent;
    display: flex;
    display: -ms-flex;
    /* 兼容IE */
    flex-direction: column;
    -ms-flex-direction: column;
    /* 兼容IE */
    margin: 0 !important;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-height: calc(100% - 30px);
    max-width: calc(100% - 30px);
  }
}
.detailbox {
  height: 850px;
  width:900px;
  background: url(../../../assets/images/TKbg.png) no-repeat center;
  background-size: 100% 100%;
  padding-top: 96px;
  padding-left: 110px;
  box-sizing: border-box;
  position: relative;
  .header_box {
    color: #fff;
    font-size: 35px;
    font-weight: 600;
    margin-bottom: 10px;
  }
  .content {
    height: calc(100% - 130px);
    width: calc(100% - 110px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: auto;
    padding-top: 45px;
    // padding-bottom: 40px;
    box-sizing: border-box;
    .td_box {
      height: 120px;
      width: 100%;
      font-size: 28px;
      display: flex;

      // border-bottom: solid 1px #fff;
      margin-bottom: 10px;
      color: #ffffff;
    }
    .zhaopian {
      align-content: center;
      margin-bottom: 10px;
    }
    .span2 {
      width: 100%;
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: flex-start;
      font-size: 28px;
    }

    .span3 {
      display: inline-block;
      width: 30%;
      font-size: 28px;
    }

    .span4 {
      color: #e69303;
      font-size: 28px;
    }
    .span5 {
      width: 68%;
    }
    .zhaopian {
      height: 300px;
    }
    .picture {
      width: 100%;
      height: 100%;
    }
    .mypictureItem {
      width: 40%;
    }
  }
}
::-webkit-scrollbar {
  width: 6px;
  height: 6px;
  background-color: #00000040;
}
::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 1);
  border-radius: 10px;
}
::-webkit-scrollbar-track {
  background-color: transparent;
}
</style>
